Package wx :: Class DragImage

[frames | no frames]

## Type DragImage

    object --+
             |
        Object --+
                 |
                DragImage

Known Subclasses:
  `DragImage`

Proxy of C++ DragImage class

Method Summary
DragImage | `__init__(self, image, cursor)`
| `__del__(self)`
bool | `BeginDrag(self, hotspot, window, fullScreen, rect)`
bool | `BeginDragBounded(self, hotspot, window, boundingWindow)`
bool | `DoDrawImage(self, dc, pos)`
bool | `EndDrag(self)`
Rect | `GetImageRect(self, pos)`
bool | `Hide(self)`
bool | `Move(self, pt)`
bool | `RedrawImage(self, oldPos, newPos, eraseOld, drawNew)`
| `SetBackingBitmap(self, bitmap)`
bool | `Show(self)`
bool | `UpdateBackingFromWindow(self, windowDC, destDC, sourceRect, destRect)`

Property Summary
| `ImageRect`: See `GetImageRect`
| `thisown`: The membership flag

Property Details

### ImageRect

See `GetImageRect`

  Get Method:
    `GetImageRect`(self, pos)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:41 2007 | http://epydoc.sf.net